home *** CD-ROM | disk | FTP | other *** search
Text File | 2000-07-24 | 41.1 MB | 155,811 lines |
Text Truncated. Only the first 1MB is shown below. Download the file for the complete contents.
- #! /bin/sh
- # This garbage is normal
- skip=170
- # This script was generated using Makeself 1.5.3
- CRCsum=2876105620
- MD5=00000000000000000000000000000000
- label="Descent 3 Linux Demo 1.4.0"
- script=
- targetdir=descent3_demo
- scriptargs=""
- keep=y
- finish=true; xterm_loop=;
- [ x"$1" = x-xwin ] && {
- finish="echo Press Return to close this window...; read junk"; xterm_loop=1; shift 1;
- }
- if [ x"$1" = "x-help" -o x"$1" = "x--help" ]; then
- cat << tac
- 1) Getting help or info about $0 :
- $0 -help Print this message
- $0 -info Print embedded info : title, default target directory, embedded script ...
- $0 -lsm Print embedded lsm entry (or no LSM)
- $0 -list Print the list of files in the archive
- $0 -check Checks integrity of the archive
-
- 2) Running $0 :
- $0 [options] [additional arguments to embedded script]
- with following options (in that order)
- -confirm Ask before running embedded script
- -keep Do not erase target directory after running embedded script
- -target NewDirectory Extract in NewDirectory
- tac
- exit 0;
- fi
- if [ x"$1" = "x-lsm" -o x"$1" = "x--lsm" ]; then
- cat << EOF_LSM
- no LSM
- EOF_LSM
- exit 0;
- fi
- if [ "$1" = "-info" ]; then
- echo Identification: $label
- echo Target directory: $targetdir
- echo Uncompressed size: 71210 KB
- echo Compression: gzip
- echo Date of packaging: Mon Jul 24 11:23:52 PDT 2000
- echo script run after extraction: $script $scriptargs
- [ x"$keep" = xy ] && echo "directory $targetdir is permanent" || echo "$targetdir will be removed after extraction"
- exit 0;
- fi
- if [ "$1" = "-list" ]; then
- echo Target directory: $targetdir
- tail +$skip $0 | gzip -cd | tar tvf -
- exit 0;
- fi
- if [ "$1" = "-check" ]; then
- sum1=`tail +6 $0 | cksum | sed -e 's/ /Z/' -e 's/ /Z/' | cut -dZ -f1`
- [ $sum1 -ne $CRCsum ] && {
- echo Error in checksums $sum1 $CRCsum
- exit 2;
- }
- if [ $MD5 != "00000000000000000000000000000000" ]; then
- # space separated list of directories
- [ x"$GUESS_MD5_PATH" = "x" ] && GUESS_MD5_PATH="/usr/local/ssl/bin"
- MD5_PATH=""
- for a in $GUESS_MD5_PATH; do
- if which $a/md5 >/dev/null 2>&1 ; then
- MD5_PATH=$a;
- fi
- done
- if [ -x $MD5_PATH/md5 ]; then
- md5sum=`tail +6 $0 | $MD5_PATH/md5`;
- [ $md5sum != $MD5 ] && {
- echo Error in md5 sums $md5sum $MD5
- exit 2;
- } || { echo check sums and md5 sums are ok; exit 0; }
- fi
- if [ ! -x $MD5_PATH/md5 ]; then
- echo an embedded md5 sum of the archive exists but no md5 program was found in $GUESS_MD5_PATH
- echo if you have md5 on your system, you should try :
- echo env GUESS_MD5_PATH=\"FirstDirectory SecondDirectory ...\" $0 -check
- fi
- else
- echo check sums are OK ; echo $0 does not contain embedded md5 sum ;
- fi
- exit 0;
- fi
- if ! tty -s; then # Do we have a terminal?
- if [ x"$DISPLAY" != x -a x"$xterm_loop" = x ]; then # No, but do we have X?
- if xset q > /dev/null 2>&1; then # Check for valid DISPLAY variable
- GUESS_XTERMS="dtterm eterm Eterm xterm rxvt kvt"
- for a in $GUESS_XTERMS; do
- if which $a >/dev/null 2>&1; then
- XTERM=$a
- break
- fi
- done
- chmod a+x $0 || echo Please add execution rights on $0
- if [ `echo "$0" | cut -c1` = / ]; then # Spawn a terminal!
- exec $XTERM -title "$label" -e "$0" -xwin "$@"
- else
- exec $XTERM -title "$label" -e "./$0" -xwin "$@"
- fi
- fi
- fi
- fi
- [ x"$finish" = x ] && finish=true
- parsing=yes
- while [ x"$parsing" != x ]; do
- case "$1" in
- -confirm) verbose=y; shift;;
- -keep) keep=y; shift;;
- -target) if [ x"$2" != x ]; then targetdir="$2"; keep=y; shift 2; fi;;
- *) parsing="";;
- esac
- done
- if [ "$keep" = y ]; then echo "Creating directory $targetdir"; tmpdir=$targetdir;
- else tmpdir="/tmp/selfgz$$"; fi
- mkdir $tmpdir || {
- $echo 'Cannot create target directory' $tmpdir >&2
- $echo 'you should perhaps try option -target OtherDirectory' >&2
- eval $finish; exit 1;
- }
- location=`pwd`
- echo=echo; [ -x /usr/ucb/echo ] && echo=/usr/ucb/echo
- $echo -n Verifying archive integrity...
- sum1=`tail +6 $0 | cksum | sed -e 's/ /Z/' -e 's/ /Z/' | cut -dZ -f1`
- [ $sum1 -ne $CRCsum ] && {
- $echo Error in check sums $sum1 $CRCsum
- eval $finish; exit 2;
- }
- echo OK
- if [ $MD5 != \"00000000000000000000000000000000\" ]; then
- # space separated list of directories
- [ x$GUESS_MD5_PATH = x ] && GUESS_MD5_PATH=\"/usr/local/ssl/bin\"
- MD5_PATH=\"\"
- for a in $GUESS_MD5_PATH; do
- if which $a/md5 >/dev/null 2>&1 ; then
- MD5_PATH=$a;
- fi
- done
- if [ -x $MD5_PATH/md5 ]; then
- md5sum=`tail +6 $0 | $MD5_PATH/md5`;
- [ $md5sum != $MD5 ] && {
- $echo Error in md5 sums $md5sum $MD5
- eval $finish; exit 2;
- }
- fi
- fi
- $echo -n "Uncompressing $label"
- cd $tmpdir
- [ "$keep" = y ] || trap 'cd /tmp; /bin/rm -rf $tmpdir; exit $res'
- if ( (cd $location; tail +$skip $0; ) | gzip -cd | tar xvf - | (while read a; do $echo -n .; done; echo; )) 2> /dev/null; then
- chown -Rf `id -u`.`id -g` .
- res=0; if [ x"$script" != x ]; then
- if [ x"$verbose" = xy ]; then
- $echo "OK to execute: $script $scriptargs $* ? [Y/n] "
- read yn
- [ x"$yn" = x -o x"$yn" = xy -o x"$yn" = xY ] && { $script $scriptargs $*; res=$?; }
- else
- $script $scriptargs $*; res=$?
- fi
- [ $res != 0 ] && echo "The program returned an error code ($res)"
- fi
- [ "$keep" = y ] || { cd /tmp; /bin/rm -rf $tmpdir; }
- else
- echo "Cannot decompress $0"; eval $finish; exit 1
- fi
- eval $finish; exit $res
- END_OF_STUB
- ï ╕ë|9∞|ÿE╒v╧faΣ~æ[╘&"╗││╫$$╚&╗┘l╪═nv'7@áwªgª┘ÖΘa║g/1|ÇFEEAEEE@@AEDDEDEADADEⁿ▐sΩ⌠tφd/±{╤ ₧ª√¡:u¬Ω╘⌐SºN╒fU╟║x╩╬╗╞┐±╫╥▄╝¿╜▌4L╙\╝h!╜[/lfî_╦┬àH4╖┤╡-\▄▄╥▄åñûàïf│±*ⁿ╩₧oòL╙╚┌Ñd9g{╙╤Ñ∞Q;gⁿ≈Kdm3φµrεÿS╚ÿV╔6=7o¢n┌⌠æôwæÉt≤y╖`Kεp╬╬{µä[6≤N&δ¢Yk╘ÄÖV!-┘DeRv
- re▀q^<mñ_t╚-âF}G╫5ÿ¿|╧,╕f╞╩S¥